集火攻击:游戏和软件的汇聚下载基地 最近更新 | 排行榜

集火攻击

首页 > 资讯攻略 > 微软资讯 > npm安全性问题爆发了: event-stream包发现包含恶意代码

npm安全性问题爆发了: event-stream包发现包含恶意代码

相关文章 来源:集火攻击时间:2018-11-27 16:20:24字体大小:A-A+

作者:点击:

 event-stream包是一个流行的npm库,每周下载量在200万次以上,但现在发现包含恶意代码,到目前为止已经有大约800万次的下载量,持续时间为2.5个月。npm安全性问题爆发了。

1.jpg

npm 是 JavaScript 世界的包管理工具,并且是 Node.js 平台的默认包管理工具。通过 npm 可以安装、共享、分发代码,管理项目依赖关系。

据开发者justjavac发布的消息,event-stream 事件已经在圈内刷屏。

event-stream被很多的前端流行框架和库使用,每月有几千万下载量。Vue的官方脚手架 vue-cli 中使用了该依赖,React 则躲过了此次影响。

flatmap-stream 中的恶意代码会扫描用户的 nodemodules 目录,因为所有从 npm 下载的模块都会放在此目录。如果发现在 nodemodules 存在特定的模块,则将恶意代码注入进去,从而盗取用户的数字货币。

如果想查看自己的项目是否受到影响,可以运行:

$ npm ls event-stream flatmap-stream...flatmap-stream@0.1.1...

如果在输出里面包含了 flatmap-stream 则说明你也可能被攻击。

如果使用 yarn 则可以运行:

$ yarn why flatmap - stream


相关软件

热门推荐

最近更新 | 网站地图

集火攻击(www.jihuogongju.net)版权所有(网站邮箱:gua_niu66@163.com)

本站资源均收集整理于互联网,其著作权归原作者所有,如果有侵犯您权利的资源,请来信告知,我们将及时撤销相应资源。